Skip to main content
POST
/
v1
/
users
/
{user_id}
/
income_insights
/
reports
Create a user bank income insights report
curl --request POST \
  --url https://prod.truv.com/v1/users/{user_id}/income_insights/reports/ \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>' \
  --data '
{
  "days_requested": 60,
  "consumer_report_permissible_purpose": "ACCOUNT_REVIEW_CREDIT"
}
'
{
  "report_id": "7d4fcb86b81a4880955beea558092391",
  "created_at": "2022-05-04T11:30:00.000Z",
  "completed_at": "2022-05-04T12:00:00.000Z",
  "days_requested": 60,
  "links": [
    {
      "link_id": "150491a20bdb4292bb2a2ad8554fecba",
      "accounts": [
        {
          "id": "61a8c91314724edb9a8fea7f90d1d59a",
          "owners": [
            {
              "id": "2b623fa2fa9e49cea17d9692caa884c5",
              "full_name": "John Doe",
              "email": "john.doe@example.com",
              "phone": "14155554193",
              "address": {
                "street": "1 Morgan Ave",
                "city": "Los Angeles",
                "state": "CA",
                "zip": "90210",
                "country": "US"
              },
              "relation_type": "PRIMARY"
            }
          ],
          "mask": "****1234",
          "nickname": "My account",
          "type": "CHECKING",
          "subtype": "MONEY_MARKET",
          "days_available": 365
        }
      ],
      "created_at": "2022-05-04T11:30:00.000Z",
      "updated_at": "2022-05-04T12:00:00.000Z",
      "provider": "chase",
      "provider_name": "Chase Bank",
      "tracking_info": "<string>",
      "bank_income_sources": [
        {
          "start_date": "2022-05-04T00:00:00.000Z",
          "end_date": "2022-05-04T00:00:00.000Z",
          "account_id": "24d7e80942ce4ad58a93f70ce4115f5c",
          "total_amount": "200.31",
          "transaction_count": 1,
          "historical_summary": [
            {
              "start_date": "2022-05-04T00:00:00.000Z",
              "end_date": "2022-05-04T00:00:00.000Z",
              "total_amount": "200.31",
              "iso_currency_code": "USD",
              "transactions": [
                {
                  "amount": "200.31",
                  "iso_currency_code": "USD",
                  "date": "2022-05-04T00:00:00.000Z",
                  "check_number": "<string>",
                  "description": "<string>",
                  "pending": true,
                  "transaction_id": "7d4fcb86b81a4880955beea558092391"
                }
              ]
            }
          ],
          "avg_deposit_amount": "5000.00",
          "income_description": "Paycheck",
          "income_category": "PAYCHECK",
          "pay_frequency": "SM",
          "next_payment_date": "2022-06-01",
          "iso_currency_code": "USD",
          "historical_average_monthly_income": "10000.00",
          "historical_average_monthly_gross_income": "12000.00",
          "forecasted_average_monthly_income": "10000.00",
          "avg_gross_deposit_amount": "6000.00",
          "employer": {
            "id": "meta",
            "name": "Meta",
            "logo_url": "<string>"
          }
        }
      ]
    }
  ],
  "bank_income_summary": {
    "start_date": "2022-05-04T00:00:00.000Z",
    "end_date": "2022-05-04T00:00:00.000Z",
    "income_sources_count": 1,
    "income_categories_count": 1,
    "income_transactions_count": 1,
    "total_amounts": [
      {
        "amount": "200.31",
        "iso_currency_code": "USD"
      }
    ],
    "historical_average_monthly_gross_income": [
      {
        "amount": "200.31",
        "iso_currency_code": "USD"
      }
    ],
    "historical_average_monthly_income": [
      {
        "amount": "200.31",
        "iso_currency_code": "USD"
      }
    ],
    "forecasted_average_monthly_income": [
      {
        "amount": "200.31",
        "iso_currency_code": "USD"
      }
    ],
    "historical_annual_gross_income": [
      {
        "amount": "200.31",
        "iso_currency_code": "USD"
      }
    ],
    "historical_annual_income": [
      {
        "amount": "200.31",
        "iso_currency_code": "USD"
      }
    ],
    "forecasted_annual_income": [
      {
        "amount": "200.31",
        "iso_currency_code": "USD"
      }
    ]
  }
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

user_id
string
required

Body

application/json

Income insights report parameters.

days_requested
integer
default:60
required

The specific duration in days for which the report is requested to be generated.

Required range: 30 <= x <= 730
consumer_report_permissible_purpose
enum<string>

Describes the reason you are generating an Income Insights Report for this user.

Available options:
ACCOUNT_REVIEW_CREDIT,
ACCOUNT_REVIEW_NON_CREDIT,
EMPLOYMENT,
EXTENSION_OF_CREDIT,
LEGITIMATE_BUSINESS_NEED_TENANT_SCREENING,
LEGITIMATE_BUSINESS_NEED_OTHER,
WRITTEN_INSTRUCTION_PREQUALIFICATION,
WRITTEN_INSTRUCTION_OTHER

Response

report_id
string
required
read-only

Unique identifier of the report.

Maximum string length: 32
Example:

"7d4fcb86b81a4880955beea558092391"

created_at
string<date-time>
required
read-only

Timestamp when the report was created.

Example:

"2022-05-04T11:30:00.000Z"

completed_at
string<date-time>
required
read-only

Timestamp when the report was completed.

Example:

"2022-05-04T12:00:00.000Z"

days_requested
integer<int32>
required
read-only

Number of days for which transactions are requested.

Example:

60

List of assets links

bank_income_summary
object
required